> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rezora.io/llms.txt
> Use this file to discover all available pages before exploring further.

# List appointments



## OpenAPI

````yaml /api-reference/openapi.yaml get /api/v1/appointments/
openapi: 3.0.3
info:
  title: Rezora IO API
  version: 1.0.0
  description: >-
    Partner-safe Rezora API reference for authenticated customer and integration
    workflows.
servers:
  - url: https://api.rezora.io
    description: Production API
security: []
tags:
  - name: Billing & Credits
    description: Credit balances, transactions, and receipts.
  - name: Agents
    description: AI agent templates and active campaign-ready agents.
  - name: Contacts
    description: Contact groups, contacts, and imports.
  - name: Campaigns
    description: Campaign creation, dispatch, reporting, recordings, and call attempts.
  - name: Appointments & Calls
    description: Booked appointments and customer call records.
paths:
  /api/v1/appointments/:
    get:
      tags:
        - Appointments & Calls
      summary: List appointments
      operationId: appointments_list
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/AppointmentSchema'
          description: ''
      security:
        - jwtAuth: []
components:
  schemas:
    AppointmentSchema:
      type: object
      properties:
        id:
          type: string
          format: uuid
        contact_id:
          type: string
          format: uuid
          nullable: true
        campaign_id:
          type: string
          format: uuid
          nullable: true
        scheduled_at:
          type: string
          format: date-time
          nullable: true
        status:
          type: string
        timezone:
          type: string
          nullable: true
        contacts: {}
        appointment_data: {}
        created_at:
          type: string
          format: date-time
      required:
        - id
        - status
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````